# PhasicFlow: src/phasicFlow/containers/pointField/pointFieldAlgorithms.hpp File Reference

pointFieldAlgorithms.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Functions

template<class T , typename... properties>
T | maxActive_serial (const Kokkos::View< T *, properties... > &view, const Kokkos::View< int8 *, Kokkos::LayoutLeft, Kokkos::HostSpace > &flag, size_t start, size_t end)
template<typename T , typename... properties>
INLINE_FUNCTION_H T | maxActiveH (const Kokkos::View< T *, properties... > &view, const Kokkos::View< int8 *, Kokkos::LayoutLeft, Kokkos::HostSpace > &flag, size_t start, size_t end)
template<typename T , typename... properties>
INLINE_FUNCTION_H T | maxActiveD (const Kokkos::View< T *, properties... > &view, const Kokkos::View< int8 *, Kokkos::LayoutLeft > &flag, size_t start, size_t end)
template<class T , class MemorySpace >
T | maxActive (const pointField< VectorSingle, T, MemorySpace > &pField)
template<class side , class T , class MemorySpace = void>
T | maxActive (const pointField< VectorDual, T, MemorySpace > &pField)

## Variables

const auto | ActivePoint = pointStructure::ACTIVE